dpkg-gencontrol(1)

NAMN
dpkg-gencontrol - skapa Debians kontrollfiler

SYNOPS
dpkg-gencontrol [flaggor]

BESKRIVNING
dpkg-gencontrol läser information från ett uppackat Debiankällkodsträd och genererar en binärpaketsstyrfil (som standard debian/tmp/DEBIAN/control). Relationsfälten kommer att förenklas.

Fälten Pre-Depends, Depends, Recommends och Suggests förenklas därmed, i den följden, genom att ta bort beroenden som programmet vet tillhandahålls av starkare beroenden som redan tolkats. Det kommer även ta bort eventuella egenberoenden (programmet tar bort alla beroenden som är uppfyllda när den nuvarande versionen av paketet är installerat). Logiskt behålls snittet av multipla beroenden på samma paket. Ordningsföljden mellan beroendena behålls så långt som möjligt: om ett beroende måste tas bort på grund av att ett beroende återkommer senare i fältet kommer det nya beroendet att ta platsen från det som ersattes.

Övriga relationsfält (Enhances, Conflicts, Breaks, Replaces och Provides) förenklas även individuellt genom att beräkna unionen av de olika beroendena när ett paket förekommer flera gånger i samma fält.

dpkg-gencontrol lägger dessutom till en post för binärpaketet i debian/files.

FLAGGOR

-vversion
    Sätter versionsnumret på binärpaketet som skall skapas.

-Vnamn=värde
    Ställer in en utdatasubstitueringsvariabel. Se deb-substvars(5) för en beskrivning av utdatasubstituering.

-Tsubstvars-fil
    Läser substitueringsvariabler i substvarfil; standardvärdet är debian/substvars.

-Dfält=värde
    Ersätt eller lägg till ett fält i den genererade control-filen.

-Ufält
    Ta bort ett fält ur den genererade control-filen.

-ccontrol-fil
    Anger huvudkällkodskontrollfilen som information skall läsas från. Standardvärdet är debian/control.

-ländringsloggfil
    Anger ändringsloggfilen som information skall läsas från. Standardvärdet är debian/changelog.

-ffillisfile
    Läs eller skriv listan över filer som skall sändas in här, istället för att använda debian/file.

-Fändringsloggformat
    Anger format på ändringsloggen. Som standard läses formatet från en speciell rad nära slutet av ändringsloggen, eller så används Debians standardformat om ingen information hittas.

-ppaket
    Skapa information för det binära paketet paket. Om källkodens control-fil bara innehåller ett binärpaket behöver inte flaggan anges. I alla andra fall är det nödvändigt att välja vilket binärpakets information som skall skapas.

-nfilnamn
    Anta att filnamnet för paketet skalla vara filnamn istället för det normala paket_version_ark.deb-filnamnet.

-is, -ip, -isp
    Dessa flaggor ignoreras för kompatibilitet med äldre versioner av dpkg-dev men avråds numera ifrån. De användes tidigare för att tala om för dpkg-gencontrol att inkludera Section- och Priority-fälten i control-filen. Detta är numera standardbeteendet. Om du vill återskapa det gamla beteendet kan du använda flaggan -U för att ta bort fälten från control-filen.

-Ppaketbyggkatalog
    Talar om för dpkg-source att paketet byggs i paketbyggkatalog i stället för debian/tmp. Värdet används för att bestämma standardvärdet för substitueringsvariabeln och control-filsfältet Installed-Size (med hjälp av du), samt för att välja standardplacering av utdatafilen.

-O  Skriv control-filen på standard ut, i stället för till debian/tmp/DEBIAN/control (eller paketbyggkatalog/DEBIAN/control om -P användes).

-h, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FILER

debian/control
    Huvudkällkodskontrollinformationsfil, vilken innehåller versionsoberoende information om källkodspaketet och de binärpaket som kan skapas från det.

debian/files
    Listan över genererade filer som ingår i insändningen som skapas. dpkg-gencontrol lägger till de förutsatta filnamnen på binärpaketen vars control-filer det genererar här.

FÖRFATTARE
Upphovsrättsskyddat © 1995-1996 Ian Jackson
Upphovsrättsskyddat © 2000 Wichert Akkerman
Upphovsrättsskyddat © 2007-2008 Raphaël Hertzog

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN GARANTI.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.